#!/usr/bin/env bash

set -o pipefail

source $(realpath -m ..)/.vars.conf
source $(realpath -m ..)/.hosts.conf

# 判断NFS服务地址
if [[ -z $1 ]]
then
    nfs_server=${nfs_server}
    echo $nfs_server
else
    nfs_server=$1
    echo $nfs_server
fi

# 安装软件包以及配置内核参数
for ip in ${worker_node_ip[@]}
do
    ssh -t ${ssh_option} root@${ip} "yum -y install nfs-utils && sysctl -w sunrpc.tcp_slot_table_entries=128 && echo 'sunrpc.tcp_slot_table_entries = 128' | tee /etc/sysctl.d/99-sunrpc.conf"
done

# 渲染 YAML 配置文件
for yaml in nfs-provisioner.yaml
do
    envsubst < $(realpath -m ..)/yamls/${yaml} >${install_dir}/${yaml}
done

# 创建 istio 服务
kubectl apply -f ${install_dir}/nfs-provisioner.yaml >/dev/null
